;
; CANON INC. Scanner driver
;
; Windows Setup File for the Canon G6000 series Scanner driver
; Copyright (c) CANON INC. 2018

[Version]
SIGNATURE="$Windows NT$"
CLASS=dummy
DriverVer=09/06/2018,1.0.0.1

[DestinationDirs]
DefaultDestDir=11
ColorFilesNet.NT=11,spool\drivers\Color
STIFiles_64=10,SysWow64
CNCDsFiles_CMN=10,"twain_32\%SGNAME%"
CNCDsFiles_MDL=10,"twain_32\%SGNAME%\%CNCRFN%"


;........................................ WinXP, Vista, Win7 section
[CNCInstall_XP.NT]
AddReg=CNCAddreg, CNCAddregUSB
CopyFiles=CNCDsFiles_MDL,CNCDsFiles_CMN

;........................................ WinXP x64, Vista x64, Win7 x64 section
[CNCInstall_XP64.NT]
AddReg=CNCAddreg, CNCAddregUSB
CopyFiles=STIFiles_64,CNCDsFiles_MDL,CNCDsFiles_CMN

;........................................ WinXP, Vista, Win7 section (Network)
[CNCInstallNet_XP.NT]
AddReg=CNCAddreg,CNCAddregNet,CNCAddReg.Events
CopyFiles=STIFiles_32,ColorFilesNet.NT,CNCDsFiles_MDL,CNCDsFiles_CMN

;........................................ WinXP x64, Vista x64, Win7 x64 section (Network)
[CNCInstallNet_XP64.NT]
AddReg=CNCAddreg,CNCAddregNet,CNCAddReg.Events
CopyFiles=STIFiles_64,ColorFilesNet.NT,CNCDsFiles_MDL,CNCDsFiles_CMN


;.......................................... Common Section
[CNCAddreg]
HKLM,"%SGMDLKEY%","DriverDate",0x00004000," 08 2018"
HKLM,"%SGMDLKEY%","DriverVersion",0x00004000,"1.0.0.1"
HKLM,"%SGMDLKEY%","ProductName",0x00004000,%CNC.MDL%
HKLM,"%SGMDLKEY%","ButtonNum",0x00014001,1
HKLM,"%SGMDLKEY%","InstallDirectory",0x00004000,"%10%\TWAIN_32\%SGNAME%\%CNCRFN%\"
HKLM,"%SGMDLKEY%","CaddisLLDPath",0x00004000,"%CADDIStable%.TBL"
HKLM,"%SGMDLKEY%","CaddisUIPath",0x00004000, "CNUI011.TBL"

[CNCAddregUSB]
HKLM,"%SGMDLKEY%","AvailableDriver",0x00014001,1

[CNCAddregNet]
HKLM,"%SGMDLKEYNet%","AvailableDriver",0x00014001,1
HKLM,"%SGMDLKEYNet%","ButtonNum",0x00014001,1
HKLM,"%SGMDLKEYNet%","InstallDirectory",0x00004000,"%10%\TWAIN_32\%SGNAME%\%CNCRFN%\"
HKLM,"%SGMDLKEYNet%","ProductName",0x00004000,"%CNC.MDL_Net%"
HKLM,"%SGMDLKEYNet%","CaddisLLDPath",0x00004000,"%CADDIStable%.TBL"
HKLM,"%SGMDLKEYNet%","CaddisUIPath",0x00004000, "CNUI011.TBL"
HKLM,"%SGMDLKEYNet%","SelectorVersion",0x00004000, "20.0"
HKLM,"%CHMPMDLKEYNet%","DeviceID",0x00004000,"%CNCRFN%"
HKLM,"%CHMPMDLKEYNet%","IP",0x00004000,"%CNC.IP%"
HKLM,"%CHMPMDLKEYNet%","MAC",0x00004000,"%CNC.MAC%"
HKLM,"%CHMPMDLKEYNet%","PortName",0x00004000,"%CHMP_PORT_Net%"

[CNCAddReg.Events]
HKLM,"%SGMDLKEYNet%","PushButtonName1",0x00004000,"0000000000010000000000000000000000000000000000000000000000000000,{1F00D1E6-727A-479f-A588-2E4CF29272D9}"


[ColorFilesNet.NT]
CN%CNC.ColorGear%.ICC


[STIFiles_32]
%CNC.Module%L.dll
CNHMCA.dll
%CADDIStable%.TBL

[STIFiles_64]
%CNC.Module%L.dll
CNHMCA.dll
%CADDIStable%.TBL

[CNCDsFiles_MDL]
SETUP02.ini
CNC_FFFH.DAT
%CNC.Param%M.DAT
%CNC.Param%P.DAT
%CNC.Param%R.DAT
%CNC.Param%T.DAT
%CNC.Param%U.DAT

[CNCDsFiles_CMN]
%CADDIStable%.ds,CISDS.ds
%CADDIStable%_Network.ds,CISDS.ds

;-------------------------------Source Index
[SourceDisksFiles]
SETUP02.ini=1
CISDS.ds=3
CN%CNC.ColorGear%.ICC=3
%CNC.Module%L.dll=3
CNHMCA.dll=3
%CADDIStable%.TBL=3
CNC_FFFH.DAT=3
%CNC.Param%M.DAT=3
%CNC.Param%P.DAT=3
%CNC.Param%R.DAT=3
%CNC.Param%T.DAT=3
%CNC.Param%U.DAT=3

[SourceDisksNames]
1="Canon ScanGear Setup Disk",,
3="Canon ScanGear Setup Disk","TWAIN02.CAB"


;-------------------------------String Aliases
[Strings]
SGMDLKEY="Software\Canon\ScanGear\Devices\G6000 series"
SGMDLKEYNet="Software\Canon\ScanGear\Devices\G6000 series_"
CHMPMDLKEYNet="Software\Canon\ScanGear\CHMPPort\G6000 series_"
SGMDLKEY64="Software\Wow6432Node\Canon\ScanGear\Devices\G6000 series"
SGMDLKEYNet64="Software\Wow6432Node\Canon\ScanGear\Devices\G6000 series_"
CHMP_PORT_NET="CNCHMPSCAN_"
CNCRFN           = "G6000 series"
CNC.MDL          = "Canon G6000 series"
CNC.MDL_Net      = "Canon G6000 series Network"
CNC.ColorGear    = "FRD2"
CNC.Module       = "CNC_FJ"
CNC.Param        = "CNC_555"
CADDIStable      = "CNC1865D"
SGNAME           = "SG20"
CNC.IP           = "" 
CNC.MAC          = ""
